Bug 135992 - Alps touchpad doesn't work on HP/Compaq R3000Z laptop
Alps touchpad doesn't work on HP/Compaq R3000Z laptop
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-10-16 08:55 EDT by Rick Richardson
Modified: 2015-01-04 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:38:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/boot/log (acpi on) (39.61 KB, text/plain)
2005-01-03 15:36 EST, Gene Czarcinski
no flags Details
dmesg (acpi on) (15.10 KB, text/plain)
2005-01-03 15:37 EST, Gene Czarcinski
no flags Details
/proc/bus/input/devices (acpi on) (436 bytes, text/plain)
2005-01-03 15:38 EST, Gene Czarcinski
no flags Details

  None (edit)
Description Rick Richardson 2004-10-16 08:55:04 EDT
The alps touchpad doesn't work on HP/Compaq R3000Z laptop, either
during installation or after it.

As installation begins, I can briefly see a text mode message about
"PS/2 Generic".  Its so quick I didn't get all the message.  But later
it comes up as "No Mouse".  Overriding that setting in the installer
doesn't help.

What is it with the large number of mouse issues in the Fedora
series???  Desktop, laptop, I've yet to install a version of Fedora
that didn't have some kind of mouse issue.  Thankfully, FC3T3 finally
cures the mouse issues with the Intel D845PEBT2 desktop mobo (after 9
months).  So its win one, lose one this time around.
Comment 1 Paul Nasrat 2004-10-18 00:27:07 EDT
ALPS touchpad support requires a kernel patch:

Original patch (note there are later fixes for module
loading/unloading/built-in IIRC):




As soon as it is in upstream support should work.  You may find that
setting psmouse.proto=imps as a kernel argument enables basic support.  

Can you check the output of /proc/bus/input/devices?  

Do you have any PS/2 options in your BIOS?
Comment 2 Paul Nasrat 2004-12-22 16:16:56 EST
ping - have you been able to test passing the psmouse.proto= to the

Can you also test psmouse.proto=bare as well as imps
Comment 3 Gene Czarcinski 2004-12-29 17:10:40 EST
I have a recent R3000z and the touchpad works if I use psmouse.proto=
imps or bare.  This is running FC3 i386 and x86_64.
Comment 4 Paul Nasrat 2005-01-03 12:01:07 EST
Gene, can you attach /var/log/boot.log and /var/log/dmesg, also the output of
cat /proc/bus/input/devices

I would have thought that the input layer would set to imps on ALPS touchpad h/w?   
Comment 6 Gene Czarcinski 2005-01-03 15:36:38 EST
Created attachment 109275 [details]
/var/log/boot/log (acpi on)
Comment 7 Gene Czarcinski 2005-01-03 15:37:17 EST
Created attachment 109276 [details]
dmesg (acpi on)
Comment 8 Gene Czarcinski 2005-01-03 15:38:52 EST
Created attachment 109278 [details]
/proc/bus/input/devices (acpi on)

This was on i386 system since x86_64 is the same.
Comment 9 Paul Nasrat 2005-01-03 15:45:52 EST
Gene note synaptics != alps, they are distinct.

You don't have a synaptics device entry in /proc/bus/input/devices,
but do have a mouse picked up - which I assume is the touchpad.  

Can you clarify in comment #3 that the touchpad *only* works with
those psmouse.proto settings and acpi on, or which combinations of
those parameters work.

Comment 10 Gene Czarcinski 2005-01-03 16:27:42 EST
Oops ... sorry about the ALPS versus Synaptics ... that is why I added
my separate reports (although the actual problem may be the same cause).

Here is /proc/cmdline:

ro root=LABEL=/1 noapic psmouse.proto=imps quiet

Note:  If I boot acpi=off, then the USB mouse is detected/works but
the Synaptics touchpad is not detected.  If I then add i8042.nomux
both the touchpad and USB mouse are detected but my keyboard does not
seem to work.

If the original report is for a R3000z (Athlon64) notebook, then the
touchpad is likely to be the Synaptics as that is what I have.
Comment 11 Dave Jones 2005-07-15 14:10:44 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 12 Dave Jones 2005-10-02 20:38:37 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.